Opened 4 years ago

Closed 4 years ago

#6045 closed bug (fixed)

GHC 6.10.4 panic when compiling she-0.6

Reported by: nobody Owned by:
Priority: normal Milestone:
Component: Compiler Version: 6.10.4
Keywords: Cc: schoepl@…
Operating System: MacOS X Architecture: x86
Type of failure: Compile-time crash Test Case:
Blocked By: Blocking:
Related Tickets: Differential Rev(s):
Wiki Page:


GHC says I should report, found no existing ticket (tho I regularly fail at searching).


nobody@nowhere:~$ cabal install she
Resolving dependencies...
Configuring she-0.6...
Preprocessing library she-0.6...
Preprocessing executables for she-0.6...
Building she-0.6...
[1 of 1] Compiling ShePrelude       ( src/ShePrelude.lhs, dist/build/ShePrelude.o )
ghc: panic! (the 'impossible' happened)
  (GHC version 6.10.4 for x86_64-apple-darwin):

Please report this as a GHC bug:

cabal: Error: some packages failed to install:
she-0.6 failed during the building phase. The exception was:
ExitFailure 1

System Info

nobody@nowhere:~$ uname -a
Darwin nowhere.local 10.8.0 Darwin Kernel Version 10.8.0: Tue Jun  7 16:33:36 PDT 2011; root:xnu-1504.15.3~1/RELEASE_I386 i386
nobody@nowhere:~$ ghc --version
The Glorious Glasgow Haskell Compilation System, version 6.10.4

GHC installed via MacPorts.

Change History (4)

comment:1 Changed 4 years ago by nobody

  • Cc schoepl@… added

comment:2 Changed 4 years ago by simonpj

  • difficulty set to Unknown

THanks. Could you try with 7.4.1 as well? I doubt that we'll release any further versions of 6.10.

comment:3 Changed 4 years ago by michalt

I've just tried on OS X with GHC 7.0.4 and she-0.6 compiles just fine.

comment:4 Changed 4 years ago by igloo

  • Resolution set to fixed
  • Status changed from new to closed

Thanks michalt; I'll close this as fixed, then.

Note: See TracTickets for help on using tickets.